/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.action;

import java.util.Collection;

import org.eclipse.emf.common.command.AbstractCommand;
import org.eclipse.emf.common.command.Command;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.ui.ISharedImages;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.actions.ActionFactory;

/**
 * Action for pasting the current selection.
 * 
 * @author hummel
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class PasteModelElementAction extends ModelElementsActionBase {

	/** Constructor. */
	public PasteModelElementAction() {
		super("Paste", ActionFactory.PASTE.getId(), PlatformUI.getWorkbench()
				.getSharedImages()
				.getImageDescriptor(ISharedImages.IMG_TOOL_PASTE), PlatformUI
				.getWorkbench().getSharedImages()
				.getImageDescriptor(ISharedImages.IMG_TOOL_PASTE_DISABLED),
				true);
	}

	/** {@inheritDoc} */
	@Override
	protected Command createCommand(final Collection<EObject> selection) {
		return new AbstractCommand("Paste") {

			@Override
			public void execute() {
				CopyPasteUtils.pasteFromClipboard(selection.iterator().next());
			}

			@Override
			public void redo() {
				// not needed as our transactional command stack
				// handles this
			}

			@Override
			public boolean canExecute() {
				return selection.size() == 1;
			}
		};
	}
}
