/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.command;

import org.fortiss.tooling.base.model.layout.Point;
import org.fortiss.tooling.base.model.layout.Points;
import org.fortiss.tooling.base.ui.layout.IPointLayouter;

/**
 * Command that handles the creation of bend points.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class CreateBendpointCommand extends BendpointCommandBase {

	/** The {@link IPointLayouter}. */
	private final IPointLayouter layouter;

	/** Creates a bend point command. */
	public CreateBendpointCommand(Points connection, int index, Point location,
			IPointLayouter layouter) {
		super(connection, index, location);
		this.layouter = layouter;
	}

	/** {@inheritDoc} */
	@Override
	public void execute() {
		if (layouter != null) {
			layouter.doLayout(location);
		}
		connection.getPointsList().add(index, location);
	}
}
