/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.layout;

import org.fortiss.tooling.base.model.layout.Point;

/**
 * An ILayouter handles specialized layouts of points like snap to grid or move
 * to border.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash: D6B33EFB704B0CA151E1C945B5BC48C6
 */
public interface IPointLayouter {

	/** Performs the layout task on the given {@link Point}. */
	public void doLayout(Point point);

	/**
	 * Performs the layout task on the given
	 * {@link org.eclipse.draw2d.geometry.Point}.
	 */
	public void doLayout(org.eclipse.draw2d.geometry.Point point);
}
