/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.extension;

import java.util.List;

import org.eclipse.jface.action.IContributionItem;
import org.fortiss.tooling.kernel.ui.service.IContextMenuService;

/**
 * Classes implementing this interface contribute custom menu entries or
 * submenus to the context menu provided by the {@link IContextMenuService}.
 * 
 * @see IContextMenuService
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 2984F071E212C448CD00B46F3C8029C9
 */
public interface IContextMenuContributor {

	/** Returns the contributed items, i.e., actions or menus. */
	List<IContributionItem> getContributedItems();
}
