/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.listener;

import org.fortiss.tooling.kernel.extension.data.ITopLevelElement;

/**
 * Listener interface notified by the persistency service whenever the list of
 * top-level elements changes or the top-level element changed from the
 * persistency perspective. The latter case usually occurs when the model is
 * saved to disk.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: E54C0BBFF4612E1E23502EA3D6CEA3DE
 */
public interface IPersistencyServiceListener {

	/** Notifies the listener about the adding of the given element. */
	void topLevelElementAdded(ITopLevelElement element);

	/** Notifies the listener about the removal of the given element. */
	void topLevelElementRemoved(ITopLevelElement element);

	/** Notifies the listener that the underlying persistent model has changed. */
	void topLevelElementChanged(ITopLevelElement element);

}
