/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.service.base;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.extension.IConnectionCompositor;
import org.fortiss.tooling.kernel.internal.ConnectionCompositorService;
import org.fortiss.tooling.kernel.service.IConnectionCompositorService;

/**
 * Abstract interface used in the generic parameter of the
 * {@link EObjectAware2ServiceBase} base implementation. A plugable extension to
 * the kernel may be parameterized by two meta-model class, e.g., a reference
 * creation extension handles a specific source and target type of model
 * elements. If the extending handler's interface extends the current interface,
 * {@link EObjectAware2ServiceBase} can be used to ease the extension mechanism.
 * 
 * <P>
 * Refer to {@link IConnectionCompositor}, {@link IConnectionCompositorService}
 * and {@link ConnectionCompositorService} for an example implementation.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: B4DC46BA5960A4DBBC199EAFFF17E605
 */
public interface IEObjectAware2<S extends EObject, T extends EObject> extends
		IEObjectAware<T> {
	// nothing specific is need here
}
